### Enumeration

# GskMaskMode

since: 4.10

#### Declaration

    enum Gsk.MaskMode

#### Description [src]

The mask modes available for mask nodes.

Available since: 4.10

#### Members

`GSK_MASK_MODE_ALPHA`

  Use the alpha channel of the mask.

  - Value: `0`
  - Nickname: `alpha`
  - Available since: 4.10
`GSK_MASK_MODE_INVERTED_ALPHA`

  Use the inverted alpha channel of the mask.

  - Value: `1`
  - Nickname: `inverted-alpha`
  - Available since: 4.10
`GSK_MASK_MODE_LUMINANCE`

  Use the luminance of the mask, multiplied by mask alpha.

  - Value: `2`
  - Nickname: `luminance`
  - Available since: 4.10
`GSK_MASK_MODE_INVERTED_LUMINANCE`

  Use the inverted luminance of the mask, multiplied by mask alpha.

  - Value: `3`
  - Nickname: `inverted-luminance`
  - Available since: 4.10